Subject: Fwd: New Customizable Magnetic Phone Caddy
From: Logan Barbour <[email-masked]>
To: Scott Brenn <[email-masked]>
Date: Tue, 24 Mar 2026 20:02:22 +0000

This is a Maggy lead. I sent him a sample of Bogey which was delivered on Friday. Please check in with him to make sure he received his sample and ask what he thinks of it to try to move this closer to a sale.

Thank you,
Logan Barbour
Feel free to leave us a review HERE!<https://g.page/r/CZ2Q34oxH8p1EBI/review>

Subject: Re: New Customizable Magnetic Phone Caddy
From: Logan Barbour <[email-masked]>
To: Scott Nelson <[email-masked]>
Date: Tue, 17 Mar 2026 16:25:36 +0000

Hey Scott,

My team will get a sample sent your way today. I expect it to arrive before the end of the week.
Let me know what you think of it when it arrives.

I am also attaching our volume price list below for you to look over. Let me know what you think of the Magnetic Phone caddy pricing. We are currently running a new product promo on it which is why the pricing is lower than the original Phone Caddy price.

Thank you,
Logan Barbour
Feel free to leave us a review HERE!<https://g.page/r/CZ2Q34oxH8p1EBI/review>
ASI# 37675    SAGE# 53227

On Mar 16, 2026, at 9:24 AM, Scott Nelson <[email-masked]> wrote:

Hi Logan,
                Would love a sample to try out, especially as our season is just starting this week.  First week of Men’s League (we have the largest one in the state with around 600 members)!

My address is:
Scott Nelson
885 N. 600 W.
Logan, UT 84321

Thanks,
Scott

From: Logan Barbour <[email-masked]<mailto:[email-masked]>>
Sent: Monday, March 16, 2026 10:15 AM
To: Scott Nelson <[email-masked]<mailto:[email-masked]>>
Subject: Re: New Customizable Magnetic Phone Caddy

Hey Scott,

That’s a great question!
The Magnets on the Magnetic Phone Caddy are very strong. It took up quite a while to find magnets we were comfortable with using as strength was our biggest concern when making a magnetic Phone Holder.
The magnets are strong enough that the Phone won’t fall off on a bumpy course.

I don’t have any videos showing it on a bumpy course but I’d be happy to send you a sample so you can check out the strength yourself. I don’t have samples of the customizable version to send you at this very moment but I can send you a sample of the non customizable version. They are almost identical, the key difference is that the non customizable version has a circle faceplate instead of a square. If you’d like a sample, send me your address and I will have my team send it out to you.

Let me know if you have any questions.

Thank you,
Logan Barbour
Feel free to leave us a review HERE!<https://g.page/r/CZ2Q34oxH8p1EBI/review>
ASI# 37675    SAGE# 53227

On Mar 13, 2026, at 1:49 PM, Scott Nelson <[email-masked]<mailto:[email-masked]>> wrote:

Hi Logan,
                We brought in your phone caddies for our tournament a few years ago.  And I love the idea of it being all magnets, so no straps to deal with.  My question would be how strong are the magnets?  You know how bumpy it can get for carts on some courses.  And thinking about the courses around here, we would need something really strong.  I’m sure you’ve fully tested it, so do you have any videos of that testing?

Thanks,
Scott

See More from Logan Barbour